package jp.sourceforge.shovel.entity.impl;

import org.seasar.dao.annotation.tiger.Bean;
import org.seasar.dao.annotation.tiger.Id;
import org.seasar.dao.annotation.tiger.IdType;

import jp.sourceforge.shovel.entity.IMimeType;

@Bean(table = "mimetypes")
public class MimeTypeImpl implements IMimeType {
    long mimeTypeId;
    String extension;
    String mimeType;

    public long getMimeTypeId() {
        return mimeTypeId;
    }
    @Id( IdType.IDENTITY )
    public void setMimeTypeId(long mimeTypeId) {
        this.mimeTypeId = mimeTypeId;
    }
    public String getExtension() {
        return extension;
    }
    public void setExtension(String extension) {
        this.extension = extension;
    }
    public String getMimeType() {
        return mimeType;
    }
    public void setMimeType(String mimeType) {
        this.mimeType = mimeType;
    }
}
